Skip to main content
POST
/
wallet
/
api
/
cardList
/
all
Query All Cards Under Agency (Ungrouped)
curl --request POST \
  --url http://access-wallet.test.ftrader.pro/wallet/api/cardList/all
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "dataTotal": 123,
    "haveNext": true,
    "list": [
      {
        "appUser": {
          "agencyCode": "<string>",
          "appId": "<string>",
          "appUserId": "<string>",
          "email": "[email protected]",
          "walletAccountType": "CORPORATE",
          "documentNo": "<string>",
          "documentType": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "mobile": "<string>",
          "nickname": "<string>",
          "profilePhoto": "<string>",
          "regionCode": "<string>",
          "regionDesc": "<string>",
          "registerTime": "2023-11-07T05:31:56Z"
        },
        "cardInfo": {
          "activeTime": "2023-11-07T05:31:56Z",
          "agencyCode": "<string>",
          "cardAccountStatus": "APPROVED",
          "cardAssetId": 123,
          "cardHolder": "<string>",
          "cardId": 123,
          "cardNumber": "<string>",
          "cardUUID": "<string>",
          "categoryId": 123,
          "channel": "<string>",
          "currency": "<string>",
          "currencyIcon": "<string>",
          "currencySymbol": "<string>",
          "decimalPlaces": 123,
          "email": "<string>",
          "embossedName": "<string>",
          "expireMonth": "<string>",
          "expireYear": "<string>",
          "feature": "<string>",
          "last4": "<string>",
          "level": 123,
          "marginAssetId": 123,
          "mobile": "<string>",
          "name": "<string>",
          "network": "<string>",
          "rejectReason": "<string>",
          "status": "ACTIVE",
          "styleConfig": "<string>",
          "type": "<string>",
          "updateTime": "2023-11-07T05:31:56Z",
          "userId": 123
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.cardplus.cc/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

agencyCode
string
required

Agency code

appId
string
required

App identifier

appUserId
string
required

App user ID; if provided, queries cards for the specified user

pageNo
integer<int32>
required

Page number

pageSize
integer<int32>
required

Items per page

sign
string
required

Signature

userEmail
string
required

Email; if provided, queries cards for the specified email user

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
object